GNU bug report logs - #14213
24.3; Redraw artifacts with emacs cursor and highlighting

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Chris Rose <offline@HIDDEN>; dated Mon, 15 Apr 2013 23:07:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 14213 <at> debbugs.gnu.org:


Received: (at 14213) by debbugs.gnu.org; 8 Oct 2013 01:58:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 07 21:58:16 2013
Received: from localhost ([127.0.0.1]:33384 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VTMYx-0003Wn-H5
	for submit <at> debbugs.gnu.org; Mon, 07 Oct 2013 21:58:15 -0400
Received: from mail-we0-f182.google.com ([74.125.82.182]:63995)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ebrahim.azarisooreh@HIDDEN>) id 1VTMPd-0003IL-8N
 for 14213 <at> debbugs.gnu.org; Mon, 07 Oct 2013 21:48:38 -0400
Received: by mail-we0-f182.google.com with SMTP id t61so7773551wes.41
 for <14213 <at> debbugs.gnu.org>; Mon, 07 Oct 2013 18:48:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=vnl0GMm/rN5Y/h9sdz/uJFfdpx+tmPNN/blO8nJxC38=;
 b=kQ4NZ5TozbWt5rKbwj25DtQsqQpt3Z674ExAKDzeNnjs3Q9PQLTj/wr+nLPWjDhfR/
 ve0UfWcGXnPJlOTBl04M0fl1Br/S4hIhK7sAd/FaekdNfKjZDWKfkqWDyfjd9sD4W8a7
 KbObSVxJWyv92zD/MEK6B+t0/IVkpPwMTh9tWF8zy6XfzOOQY9ht9H3T805OPwpUe7yb
 LkZVrQdT8xiOYrTOHJOUpA5DpP8Uxw1hXLJ9qleJXIGd1cTTKOo+OiHDQm8iklxayfat
 BjZ/ndSj+HSEOok0bZDMBf4Ij8fK3mWantqgJ5acok32yefpBSLBdISN6jJLpaazAhCG
 F7+w==
MIME-Version: 1.0
X-Received: by 10.180.211.171 with SMTP id nd11mr21612959wic.0.1381196916206; 
 Mon, 07 Oct 2013 18:48:36 -0700 (PDT)
Received: by 10.180.219.35 with HTTP; Mon, 7 Oct 2013 18:48:36 -0700 (PDT)
Date: Mon, 7 Oct 2013 18:48:36 -0700
Message-ID: <CAN4N5xtR5ocJtoMp0bF1uKg6Bpvty9dQqPPCvCFFkM2kFG+7XA@HIDDEN>
Subject: Confirmed bug
From: Ebrahim Azarisooreh <ebrahim.azarisooreh@HIDDEN>
To: 14213 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary=001a11c385008e473204e830f761
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14213
X-Mailman-Approved-At: Mon, 07 Oct 2013 21:58:14 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a11c385008e473204e830f761
Content-Type: text/plain; charset=ISO-8859-1

I too, can confirm the same behavior that OP mentioned. Same redraw issue
in 24.3.1, running Arch Linux, using Gnome-shell.

--001a11c385008e473204e830f761
Content-Type: text/html; charset=ISO-8859-1

<div dir="ltr">I too, can confirm the same behavior that OP mentioned. Same redraw issue in 24.3.1, running Arch Linux, using Gnome-shell.<br></div>

--001a11c385008e473204e830f761--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14213; Package emacs. Full text available.

Message received at 14213 <at> debbugs.gnu.org:


Received: (at 14213) by debbugs.gnu.org; 17 Apr 2013 18:58:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 17 14:58:43 2013
Received: from localhost ([127.0.0.1]:57141 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1USXZ3-00068I-4D
	for submit <at> debbugs.gnu.org; Wed, 17 Apr 2013 14:58:43 -0400
Received: from mail-ob0-f172.google.com ([209.85.214.172]:37030)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <offby1@HIDDEN>) id 1USXZ0-00068A-Fb
	for 14213 <at> debbugs.gnu.org; Wed, 17 Apr 2013 14:58:39 -0400
Received: by mail-ob0-f172.google.com with SMTP id v19so1649206obq.3
	for <14213 <at> debbugs.gnu.org>; Wed, 17 Apr 2013 11:54:13 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=x-received:mime-version:sender:x-originating-ip:in-reply-to
	:references:from:date:x-google-sender-auth:message-id:subject:to:cc
	:content-type:x-gm-message-state;
	bh=fO2jHML8c2W/vvbf/HeSlaXdQT8XrDJrvO/WlP+b0N4=;
	b=hjlSrKdeJF+yj8F8X/aDJJb43N38JB9r7ND+AiETxgwTzDdaXP0vm36MyMVODGFTp4
	ASZhEeHkqSzfao8Y1BiK8tz8VtPgR+D6p/OMKy32UOTmrFv1wxnmgLnNGWCC7TSkA2/T
	pxRmsRMlH6H09HgoHWTevc7yK1xmVvvYst5azv2skGo2HurKhzLIjiW8m09ZLhUMkGqM
	BsjvBeogZA2aLrdoBXnbtoiy3fSXMhqFcJTsWjP2hIr9y9T89vgWR5B9TDoF/4i6lTUW
	GP6HcSPFhTv3boh56BQCXmUFTlHvoy6CmTUS1JRznrB4TFQuL/dDhyqqb9aLekkZC/NA
	9Thw==
X-Received: by 10.60.42.165 with SMTP id p5mr3399527oel.73.1366224853589; Wed,
	17 Apr 2013 11:54:13 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.76.93.237 with HTTP; Wed, 17 Apr 2013 11:53:53 -0700 (PDT)
X-Originating-IP: [54.240.196.186]
In-Reply-To: <CAAMdy8usqhbggR4mTk7Uvf=rXZVUpiv_18nc4UwapZFZDab20w@HIDDEN>
References: <u5j5r4ibijqv.fsf@HIDDEN>
	<83a9oz577q.fsf@HIDDEN>
	<CAAMdy8v7nSKAXb3dTYijEAkxcc0CdsFi+Lzj6V+5VTA3jLE_9Q@HIDDEN>
	<834nf66fbf.fsf@HIDDEN>
	<CAAMdy8usqhbggR4mTk7Uvf=rXZVUpiv_18nc4UwapZFZDab20w@HIDDEN>
From: Chris Rose <offline@HIDDEN>
Date: Wed, 17 Apr 2013 11:53:53 -0700
X-Google-Sender-Auth: ydscQA4dCOzqAsOtKwc5HPz6LWU
Message-ID: <CAAMdy8uSmqx4X-mZYj0ehySwPv-CLGY_qO5ExE0N0PYbcmi8YA@HIDDEN>
Subject: Re: bug#14213: 24.3;
	Redraw artifacts with emacs cursor and highlighting
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11c20f9414f42c04da9303bc
X-Gm-Message-State: ALoCoQnn/pgAMTiT1vG7cOErUuBKyGW1JrhpAxwz5MviHmfry2+B3sMLt9sAKGY09RbA85Gt4e+l
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 14213
Cc: 14213 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

--001a11c20f9414f42c04da9303bc
Content-Type: text/plain; charset=ISO-8859-1

I've confirmed that all of the 24.x series evinces this, by running emacs
--daemon -Q and emacsclient for 24.1, 24.2, and 24.3

I still to date have never seen this artifact with any other X app
forwarded, though.


On Tue, Apr 16, 2013 at 9:16 AM, Chris Rose <offline@HIDDEN> wrote:

> It's definitely possible; I vaguely remember taking an Xorg update around
> that time on the x server side, so I'd be surprised if they were unrelated.
>
> I'm pretty confident that this problem is localized to emacs, though;
> emacs is the only application with which I experience the issue.
>
> Some more possibly useful data:
>
> The issue does not occur with emacsclient using the XQuartz server on my
> OSX box, connected to the same daemon.
>
> Xorg version (now) on my Ubuntu box:
> aptitude show xserver-xorg
> Package: xserver-xorg
> State: installed
> Automatically installed: no
> Version: 1:7.6+12ubuntu2
> Priority: optional
> Section: x11
> Maintainer: Ubuntu X-SWAT <ubuntu-x@HIDDEN>
> Architecture: amd64
> Uncompressed Size: 369 k
> Depends: xserver-xorg-core (>= 2:1.11), xserver-xorg-video-all (>= 0~) |
> xorg-driver-video, xserver-xorg-input-all (>= 0~) | xorg-driver-input,
> xserver-xorg-input-evdev (>= 0~), libc6 (>= 2.7),
>          xkb-data (>= 1.4), x11-xkb-utils
> Recommends: libgl1-mesa-dri
> Conflicts: xorg-renamed-package, xserver-xorg-renamed
> Replaces: xorg-renamed-package, xserver-xorg-renamed
>  Provides: xserver, xserver-xorg-renamed
> Provided by: xserver-xorg-lts-quantal
> Description: X.Org X server
>
> I will try today to find time to roll back to 24.2 and see if it occurs
> there. I'll try 24.1 as well, if time permits.
>
>
> On Tue, Apr 16, 2013 at 1:38 AM, Eli Zaretskii <eliz@HIDDEN> wrote:
>
>> > From: Chris Rose <offline@HIDDEN>
>> > Date: Mon, 15 Apr 2013 23:53:32 -0700
>> > Cc: 14213 <at> debbugs.gnu.org
>> >
>> > I believe (but it'd be mildy awkward to test it) that it started at
>> least
>> > as early as 24.2.
>>
>> Is it possible that there was some change in your system configuration
>> (hardware or software) that happened around the time you started
>> seeing this?
>>
>> I mean, 24.2 was released last August; if it had such a glaring bug in
>> the display code on a popular platform such as yours, we should have
>> heard of it by now.  But I don't think any such problems were reported
>> until now.
>>
>> One other thing to try is an unoptimized build (CFLAGS='-g3 -O0'),
>> maybe it's a compiler issue (which version are you using, btw?).
>>
>
>
>
> --
> Chris R.
> ======
> Not to be taken literally, internally, or seriously.
> Twitter: http://twitter.com/offby1
>



-- 
Chris R.
======
Not to be taken literally, internally, or seriously.
Twitter: http://twitter.com/offby1

--001a11c20f9414f42c04da9303bc
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I&#39;ve confirmed that all of the 24.x series evinces thi=
s, by running emacs --daemon -Q and emacsclient for 24.1, 24.2, and 24.3<di=
v><br></div><div style>I still to date have never seen this artifact with a=
ny other X app forwarded, though.</div>

</div><div class=3D"gmail_extra"><br><br><div class=3D"gmail_quote">On Tue,=
 Apr 16, 2013 at 9:16 AM, Chris Rose <span dir=3D"ltr">&lt;<a href=3D"mailt=
o:offline@HIDDEN" target=3D"_blank">offline@HIDDEN</a>&gt;</span> w=
rote:<br>

<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><div dir=3D"ltr">It&#39;s definitely possibl=
e; I vaguely remember taking an Xorg update around that time on the x serve=
r side, so I&#39;d be surprised if they were unrelated.<div>

<br></div><div>I&#39;m pretty confident that this problem is localized to e=
macs, though; emacs is the only application with which I experience the iss=
ue.</div>
<div><br></div><div>Some more possibly useful data:</div><div><br></div><di=
v>The issue does not occur with emacsclient using the XQuartz server on my =
OSX box, connected to the same daemon.</div><div>
<br></div><div>Xorg version (now) on my Ubuntu box:</div><div><div>aptitude=
 show xserver-xorg</div><div>Package: xserver-xorg =A0 =A0 =A0 =A0 =A0 =A0 =
=A0 =A0 =A0 =A0</div><div>State: installed</div><div>Automatically installe=
d: no</div>
<div>Version: 1:7.6+12ubuntu2</div><div>Priority: optional</div><div>Sectio=
n: x11</div><div>Maintainer: Ubuntu X-SWAT &lt;<a href=3D"mailto:ubuntu-x@l=
ists.ubuntu.com" target=3D"_blank">ubuntu-x@HIDDEN</a>&gt;</div>

<div>Architecture: amd64</div>
<div>Uncompressed Size: 369 k</div><div>Depends: xserver-xorg-core (&gt;=3D=
 2:1.11), xserver-xorg-video-all (&gt;=3D 0~) | xorg-driver-video, xserver-=
xorg-input-all (&gt;=3D 0~) | xorg-driver-input, xserver-xorg-input-evdev (=
&gt;=3D 0~), libc6 (&gt;=3D 2.7),</div>


<div>=A0 =A0 =A0 =A0 =A0xkb-data (&gt;=3D 1.4), x11-xkb-utils</div><div>Rec=
ommends: libgl1-mesa-dri</div><div>Conflicts: xorg-renamed-package, xserver=
-xorg-renamed</div><div>Replaces: xorg-renamed-package, xserver-xorg-rename=
d</div>

<div>
Provides: xserver, xserver-xorg-renamed</div><div>Provided by: xserver-xorg=
-lts-quantal</div><div>Description: X.Org X server</div><div><br></div><div=
>I will try today to find time to roll back to 24.2 and see if it occurs th=
ere. I&#39;ll try 24.1 as well, if time permits.</div>


</div></div><div class=3D"gmail_extra"><div><div class=3D"h5"><br><br><div =
class=3D"gmail_quote">On Tue, Apr 16, 2013 at 1:38 AM, Eli Zaretskii <span =
dir=3D"ltr">&lt;<a href=3D"mailto:eliz@HIDDEN" target=3D"_blank">eliz@gnu.=
org</a>&gt;</span> wrote:<br>


<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">&gt; From: Chris Rose &lt;<a href=3D"mailto:=
offline@HIDDEN" target=3D"_blank">offline@HIDDEN</a>&gt;<br>
&gt; Date: Mon, 15 Apr 2013 23:53:32 -0700<br>
&gt; Cc: <a href=3D"mailto:14213 <at> debbugs.gnu.org" target=3D"_blank">14213@d=
ebbugs.gnu.org</a><br>
<div>&gt;<br>
&gt; I believe (but it&#39;d be mildy awkward to test it) that it started a=
t least<br>
&gt; as early as 24.2.<br>
<br>
</div>Is it possible that there was some change in your system configuratio=
n<br>
(hardware or software) that happened around the time you started<br>
seeing this?<br>
<br>
I mean, 24.2 was released last August; if it had such a glaring bug in<br>
the display code on a popular platform such as yours, we should have<br>
heard of it by now. =A0But I don&#39;t think any such problems were reporte=
d<br>
until now.<br>
<br>
One other thing to try is an unoptimized build (CFLAGS=3D&#39;-g3 -O0&#39;)=
,<br>
maybe it&#39;s a compiler issue (which version are you using, btw?).<br>
</blockquote></div><br><br clear=3D"all"><div><br></div></div></div><div cl=
ass=3D"im">-- <br>Chris R.<br>=3D=3D=3D=3D=3D=3D<br>Not to be taken literal=
ly, internally, or seriously.<br>Twitter: <a href=3D"http://twitter.com/off=
by1" target=3D"_blank">http://twitter.com/offby1</a>
</div></div>
</blockquote></div><br><br clear=3D"all"><div><br></div>-- <br>Chris R.<br>=
=3D=3D=3D=3D=3D=3D<br>Not to be taken literally, internally, or seriously.<=
br>Twitter: <a href=3D"http://twitter.com/offby1" target=3D"_blank">http://=
twitter.com/offby1</a>
</div>

--001a11c20f9414f42c04da9303bc--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14213; Package emacs. Full text available.

Message received at 14213 <at> debbugs.gnu.org:


Received: (at 14213) by debbugs.gnu.org; 16 Apr 2013 16:21:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 16 12:21:50 2013
Received: from localhost ([127.0.0.1]:54880 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1US8dh-00023q-EJ
	for submit <at> debbugs.gnu.org; Tue, 16 Apr 2013 12:21:50 -0400
Received: from mail-oa0-f52.google.com ([209.85.219.52]:61157)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <offby1@HIDDEN>) id 1US8dd-00023h-Tx
	for 14213 <at> debbugs.gnu.org; Tue, 16 Apr 2013 12:21:47 -0400
Received: by mail-oa0-f52.google.com with SMTP id k18so685522oag.11
	for <14213 <at> debbugs.gnu.org>; Tue, 16 Apr 2013 09:17:27 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=x-received:mime-version:sender:x-originating-ip:in-reply-to
	:references:from:date:x-google-sender-auth:message-id:subject:to:cc
	:content-type:x-gm-message-state;
	bh=ZXPgAfdGRKvXYBeZs6j8jXPqFNvfFvtf/wEiXUJUaqI=;
	b=UXi9q6bPE9mOsSoEPmnTlGugIEdVM2Uo1W+t+Zr/XWq2DVr/2FLPVhikLfbjoMhmeE
	vT5uJLvqSLyWIF+uebkSxsNPmMcSVMXp+SC8btctMCuJkAKc31W4Auv6vQiE9gTyxvQe
	IYSdzMOK9NRK9Fcyyu+7uehJKJ17nVeQ8hgeZS2rTNrIrRIX/xWsyPHLEWKuClDYFnj7
	BlRjBNQ0ogekDKZeiCahGWH4oL1ZV8Bo8nUrIdYoNsHDY/BeEPQE7tnsGgvp7gO31ozT
	sAjCNDTIYh0ztG18xyxYrSrtAPIx6gIw7bMjsLYExYN7cRMFWg4pQq5UCIi1A9/jMzl6
	BgHg==
X-Received: by 10.60.123.116 with SMTP id lz20mr1105065oeb.94.1366129006062;
	Tue, 16 Apr 2013 09:16:46 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.76.93.237 with HTTP; Tue, 16 Apr 2013 09:16:25 -0700 (PDT)
X-Originating-IP: [54.240.196.185]
In-Reply-To: <834nf66fbf.fsf@HIDDEN>
References: <u5j5r4ibijqv.fsf@HIDDEN>
	<83a9oz577q.fsf@HIDDEN>
	<CAAMdy8v7nSKAXb3dTYijEAkxcc0CdsFi+Lzj6V+5VTA3jLE_9Q@HIDDEN>
	<834nf66fbf.fsf@HIDDEN>
From: Chris Rose <offline@HIDDEN>
Date: Tue, 16 Apr 2013 09:16:25 -0700
X-Google-Sender-Auth: 8MJYG1V82SQ3v578tlNZmh8VCZI
Message-ID: <CAAMdy8usqhbggR4mTk7Uvf=rXZVUpiv_18nc4UwapZFZDab20w@HIDDEN>
Subject: Re: bug#14213: 24.3;
	Redraw artifacts with emacs cursor and highlighting
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=047d7b5d60061fc5d504da7cb22b
X-Gm-Message-State: ALoCoQkPNq7bXuqaJmzMk7sMry4JdG27uxFWhckfnEvL/GtaJXqdDOmTmBrTqzSLrNI66JzwCwN7
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 14213
Cc: 14213 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

--047d7b5d60061fc5d504da7cb22b
Content-Type: text/plain; charset=ISO-8859-1

It's definitely possible; I vaguely remember taking an Xorg update around
that time on the x server side, so I'd be surprised if they were unrelated.

I'm pretty confident that this problem is localized to emacs, though; emacs
is the only application with which I experience the issue.

Some more possibly useful data:

The issue does not occur with emacsclient using the XQuartz server on my
OSX box, connected to the same daemon.

Xorg version (now) on my Ubuntu box:
aptitude show xserver-xorg
Package: xserver-xorg
State: installed
Automatically installed: no
Version: 1:7.6+12ubuntu2
Priority: optional
Section: x11
Maintainer: Ubuntu X-SWAT <ubuntu-x@HIDDEN>
Architecture: amd64
Uncompressed Size: 369 k
Depends: xserver-xorg-core (>= 2:1.11), xserver-xorg-video-all (>= 0~) |
xorg-driver-video, xserver-xorg-input-all (>= 0~) | xorg-driver-input,
xserver-xorg-input-evdev (>= 0~), libc6 (>= 2.7),
         xkb-data (>= 1.4), x11-xkb-utils
Recommends: libgl1-mesa-dri
Conflicts: xorg-renamed-package, xserver-xorg-renamed
Replaces: xorg-renamed-package, xserver-xorg-renamed
Provides: xserver, xserver-xorg-renamed
Provided by: xserver-xorg-lts-quantal
Description: X.Org X server

I will try today to find time to roll back to 24.2 and see if it occurs
there. I'll try 24.1 as well, if time permits.


On Tue, Apr 16, 2013 at 1:38 AM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Chris Rose <offline@HIDDEN>
> > Date: Mon, 15 Apr 2013 23:53:32 -0700
> > Cc: 14213 <at> debbugs.gnu.org
> >
> > I believe (but it'd be mildy awkward to test it) that it started at least
> > as early as 24.2.
>
> Is it possible that there was some change in your system configuration
> (hardware or software) that happened around the time you started
> seeing this?
>
> I mean, 24.2 was released last August; if it had such a glaring bug in
> the display code on a popular platform such as yours, we should have
> heard of it by now.  But I don't think any such problems were reported
> until now.
>
> One other thing to try is an unoptimized build (CFLAGS='-g3 -O0'),
> maybe it's a compiler issue (which version are you using, btw?).
>



-- 
Chris R.
======
Not to be taken literally, internally, or seriously.
Twitter: http://twitter.com/offby1

--047d7b5d60061fc5d504da7cb22b
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">It&#39;s definitely possible; I vaguely remember taking an=
 Xorg update around that time on the x server side, so I&#39;d be surprised=
 if they were unrelated.<div><br></div><div style>I&#39;m pretty confident =
that this problem is localized to emacs, though; emacs is the only applicat=
ion with which I experience the issue.</div>

<div style><br></div><div style>Some more possibly useful data:</div><div s=
tyle><br></div><div style>The issue does not occur with emacsclient using t=
he XQuartz server on my OSX box, connected to the same daemon.</div><div st=
yle>

<br></div><div style>Xorg version (now) on my Ubuntu box:</div><div style><=
div>aptitude show xserver-xorg</div><div>Package: xserver-xorg =A0 =A0 =A0 =
=A0 =A0 =A0 =A0 =A0 =A0 =A0</div><div>State: installed</div><div>Automatica=
lly installed: no</div>

<div>Version: 1:7.6+12ubuntu2</div><div>Priority: optional</div><div>Sectio=
n: x11</div><div>Maintainer: Ubuntu X-SWAT &lt;<a href=3D"mailto:ubuntu-x@l=
ists.ubuntu.com">ubuntu-x@HIDDEN</a>&gt;</div><div>Architecture: =
amd64</div>

<div>Uncompressed Size: 369 k</div><div>Depends: xserver-xorg-core (&gt;=3D=
 2:1.11), xserver-xorg-video-all (&gt;=3D 0~) | xorg-driver-video, xserver-=
xorg-input-all (&gt;=3D 0~) | xorg-driver-input, xserver-xorg-input-evdev (=
&gt;=3D 0~), libc6 (&gt;=3D 2.7),</div>

<div>=A0 =A0 =A0 =A0 =A0xkb-data (&gt;=3D 1.4), x11-xkb-utils</div><div>Rec=
ommends: libgl1-mesa-dri</div><div>Conflicts: xorg-renamed-package, xserver=
-xorg-renamed</div><div>Replaces: xorg-renamed-package, xserver-xorg-rename=
d</div>
<div>
Provides: xserver, xserver-xorg-renamed</div><div>Provided by: xserver-xorg=
-lts-quantal</div><div>Description: X.Org X server</div><div><br></div><div=
 style>I will try today to find time to roll back to 24.2 and see if it occ=
urs there. I&#39;ll try 24.1 as well, if time permits.</div>

</div></div><div class=3D"gmail_extra"><br><br><div class=3D"gmail_quote">O=
n Tue, Apr 16, 2013 at 1:38 AM, Eli Zaretskii <span dir=3D"ltr">&lt;<a href=
=3D"mailto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrot=
e:<br>

<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">&gt; From: Chris Rose &lt;<a href=3D"mailto:=
offline@HIDDEN">offline@HIDDEN</a>&gt;<br>
&gt; Date: Mon, 15 Apr 2013 23:53:32 -0700<br>
&gt; Cc: <a href=3D"mailto:14213 <at> debbugs.gnu.org">14213 <at> debbugs.gnu.org</a>=
<br>
<div class=3D"im">&gt;<br>
&gt; I believe (but it&#39;d be mildy awkward to test it) that it started a=
t least<br>
&gt; as early as 24.2.<br>
<br>
</div>Is it possible that there was some change in your system configuratio=
n<br>
(hardware or software) that happened around the time you started<br>
seeing this?<br>
<br>
I mean, 24.2 was released last August; if it had such a glaring bug in<br>
the display code on a popular platform such as yours, we should have<br>
heard of it by now. =A0But I don&#39;t think any such problems were reporte=
d<br>
until now.<br>
<br>
One other thing to try is an unoptimized build (CFLAGS=3D&#39;-g3 -O0&#39;)=
,<br>
maybe it&#39;s a compiler issue (which version are you using, btw?).<br>
</blockquote></div><br><br clear=3D"all"><div><br></div>-- <br>Chris R.<br>=
=3D=3D=3D=3D=3D=3D<br>Not to be taken literally, internally, or seriously.<=
br>Twitter: <a href=3D"http://twitter.com/offby1" target=3D"_blank">http://=
twitter.com/offby1</a>
</div>

--047d7b5d60061fc5d504da7cb22b--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14213; Package emacs. Full text available.

Message received at 14213 <at> debbugs.gnu.org:


Received: (at 14213) by debbugs.gnu.org; 16 Apr 2013 16:21:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 16 12:21:40 2013
Received: from localhost ([127.0.0.1]:54877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1US8dX-000235-HV
	for submit <at> debbugs.gnu.org; Tue, 16 Apr 2013 12:21:40 -0400
Received: from mail-ob0-f173.google.com ([209.85.214.173]:40750)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <offby1@HIDDEN>) id 1US8dS-00022P-OQ
	for 14213 <at> debbugs.gnu.org; Tue, 16 Apr 2013 12:21:36 -0400
Received: by mail-ob0-f173.google.com with SMTP id wn14so609214obc.32
	for <14213 <at> debbugs.gnu.org>; Tue, 16 Apr 2013 09:17:16 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=x-received:mime-version:sender:x-originating-ip:in-reply-to
	:references:from:date:x-google-sender-auth:message-id:subject:to:cc
	:content-type:x-gm-message-state;
	bh=KBMUeygbPjLZr/NFNZwoM4GXe4Nu3H9AG2q9MUnOJI4=;
	b=kAcIFD6oSc999zpOO824AAywkQKQnI9V8nQL3w7mmoFqmrLuQwlDtUDi9lcQuaRVNp
	xCS3nknR9/GYKNvk7Nc+k3mHKA05IX51jVPTvZ0GVgZ1QEFnht9za2dv4eLOWNgJ0xi0
	NmnztfA07SloLCD8fYtmxio36O3jkEH+W5keuRbky8QhE6vdSn9Tc2OH6Eb2KMCqo4ow
	Kx7AD9c5PMDTIQH4VkMXxd4ObDEVbYmRb3KGneuEuyJN4woXYFSpCMfPxCDdzyzHPPeH
	zRViC4lmIhgwEsVvQQmOMzwP0kU6Te3rJka7C2KejhRcYd9KbZc99mFlGae9t4QqkhGk
	Ug4w==
X-Received: by 10.182.248.227 with SMTP id yp3mr996256obc.102.1366129036034;
	Tue, 16 Apr 2013 09:17:16 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.76.93.237 with HTTP; Tue, 16 Apr 2013 09:16:25 -0700 (PDT)
X-Originating-IP: [54.240.196.185]
In-Reply-To: <834nf66fbf.fsf@HIDDEN>
References: <u5j5r4ibijqv.fsf@HIDDEN>
	<83a9oz577q.fsf@HIDDEN>
	<CAAMdy8v7nSKAXb3dTYijEAkxcc0CdsFi+Lzj6V+5VTA3jLE_9Q@HIDDEN>
	<834nf66fbf.fsf@HIDDEN>
From: Chris Rose <offline@HIDDEN>
Date: Tue, 16 Apr 2013 09:16:25 -0700
X-Google-Sender-Auth: 8MJYG1V82SQ3v578tlNZmh8VCZI
Message-ID: <CAAMdy8usqhbggR4mTk7Uvf=rXZVUpiv_18nc4UwapZFZDab20w@HIDDEN>
Subject: Re: bug#14213: 24.3;
	Redraw artifacts with emacs cursor and highlighting
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11c2adcce91f4104da7cb30c
X-Gm-Message-State: ALoCoQnbGga/PFl6KgUT1qLXfeloSozbbVHx+BDopM25g5hyhIp1sHsgNY/f8+3qZTruJ8dZt77C
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14213
Cc: 14213 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

--001a11c2adcce91f4104da7cb30c
Content-Type: text/plain; charset=ISO-8859-1

It's definitely possible; I vaguely remember taking an Xorg update around
that time on the x server side, so I'd be surprised if they were unrelated.

I'm pretty confident that this problem is localized to emacs, though; emacs
is the only application with which I experience the issue.

Some more possibly useful data:

The issue does not occur with emacsclient using the XQuartz server on my
OSX box, connected to the same daemon.

Xorg version (now) on my Ubuntu box:
aptitude show xserver-xorg
Package: xserver-xorg
State: installed
Automatically installed: no
Version: 1:7.6+12ubuntu2
Priority: optional
Section: x11
Maintainer: Ubuntu X-SWAT <ubuntu-x@HIDDEN>
Architecture: amd64
Uncompressed Size: 369 k
Depends: xserver-xorg-core (>= 2:1.11), xserver-xorg-video-all (>= 0~) |
xorg-driver-video, xserver-xorg-input-all (>= 0~) | xorg-driver-input,
xserver-xorg-input-evdev (>= 0~), libc6 (>= 2.7),
         xkb-data (>= 1.4), x11-xkb-utils
Recommends: libgl1-mesa-dri
Conflicts: xorg-renamed-package, xserver-xorg-renamed
Replaces: xorg-renamed-package, xserver-xorg-renamed
Provides: xserver, xserver-xorg-renamed
Provided by: xserver-xorg-lts-quantal
Description: X.Org X server

I will try today to find time to roll back to 24.2 and see if it occurs
there. I'll try 24.1 as well, if time permits.


On Tue, Apr 16, 2013 at 1:38 AM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Chris Rose <offline@HIDDEN>
> > Date: Mon, 15 Apr 2013 23:53:32 -0700
> > Cc: 14213 <at> debbugs.gnu.org
> >
> > I believe (but it'd be mildy awkward to test it) that it started at least
> > as early as 24.2.
>
> Is it possible that there was some change in your system configuration
> (hardware or software) that happened around the time you started
> seeing this?
>
> I mean, 24.2 was released last August; if it had such a glaring bug in
> the display code on a popular platform such as yours, we should have
> heard of it by now.  But I don't think any such problems were reported
> until now.
>
> One other thing to try is an unoptimized build (CFLAGS='-g3 -O0'),
> maybe it's a compiler issue (which version are you using, btw?).
>



-- 
Chris R.
======
Not to be taken literally, internally, or seriously.
Twitter: http://twitter.com/offby1

--001a11c2adcce91f4104da7cb30c
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">It&#39;s definitely possible; I vaguely remember taking an=
 Xorg update around that time on the x server side, so I&#39;d be surprised=
 if they were unrelated.<div><br></div><div style>I&#39;m pretty confident =
that this problem is localized to emacs, though; emacs is the only applicat=
ion with which I experience the issue.</div>

<div style><br></div><div style>Some more possibly useful data:</div><div s=
tyle><br></div><div style>The issue does not occur with emacsclient using t=
he XQuartz server on my OSX box, connected to the same daemon.</div><div st=
yle>

<br></div><div style>Xorg version (now) on my Ubuntu box:</div><div style><=
div>aptitude show xserver-xorg</div><div>Package: xserver-xorg =A0 =A0 =A0 =
=A0 =A0 =A0 =A0 =A0 =A0 =A0</div><div>State: installed</div><div>Automatica=
lly installed: no</div>

<div>Version: 1:7.6+12ubuntu2</div><div>Priority: optional</div><div>Sectio=
n: x11</div><div>Maintainer: Ubuntu X-SWAT &lt;<a href=3D"mailto:ubuntu-x@l=
ists.ubuntu.com">ubuntu-x@HIDDEN</a>&gt;</div><div>Architecture: =
amd64</div>

<div>Uncompressed Size: 369 k</div><div>Depends: xserver-xorg-core (&gt;=3D=
 2:1.11), xserver-xorg-video-all (&gt;=3D 0~) | xorg-driver-video, xserver-=
xorg-input-all (&gt;=3D 0~) | xorg-driver-input, xserver-xorg-input-evdev (=
&gt;=3D 0~), libc6 (&gt;=3D 2.7),</div>

<div>=A0 =A0 =A0 =A0 =A0xkb-data (&gt;=3D 1.4), x11-xkb-utils</div><div>Rec=
ommends: libgl1-mesa-dri</div><div>Conflicts: xorg-renamed-package, xserver=
-xorg-renamed</div><div>Replaces: xorg-renamed-package, xserver-xorg-rename=
d</div>
<div>
Provides: xserver, xserver-xorg-renamed</div><div>Provided by: xserver-xorg=
-lts-quantal</div><div>Description: X.Org X server</div><div><br></div><div=
 style>I will try today to find time to roll back to 24.2 and see if it occ=
urs there. I&#39;ll try 24.1 as well, if time permits.</div>

</div></div><div class=3D"gmail_extra"><br><br><div class=3D"gmail_quote">O=
n Tue, Apr 16, 2013 at 1:38 AM, Eli Zaretskii <span dir=3D"ltr">&lt;<a href=
=3D"mailto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrot=
e:<br>

<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">&gt; From: Chris Rose &lt;<a href=3D"mailto:=
offline@HIDDEN">offline@HIDDEN</a>&gt;<br>
&gt; Date: Mon, 15 Apr 2013 23:53:32 -0700<br>
&gt; Cc: <a href=3D"mailto:14213 <at> debbugs.gnu.org">14213 <at> debbugs.gnu.org</a>=
<br>
<div class=3D"im">&gt;<br>
&gt; I believe (but it&#39;d be mildy awkward to test it) that it started a=
t least<br>
&gt; as early as 24.2.<br>
<br>
</div>Is it possible that there was some change in your system configuratio=
n<br>
(hardware or software) that happened around the time you started<br>
seeing this?<br>
<br>
I mean, 24.2 was released last August; if it had such a glaring bug in<br>
the display code on a popular platform such as yours, we should have<br>
heard of it by now. =A0But I don&#39;t think any such problems were reporte=
d<br>
until now.<br>
<br>
One other thing to try is an unoptimized build (CFLAGS=3D&#39;-g3 -O0&#39;)=
,<br>
maybe it&#39;s a compiler issue (which version are you using, btw?).<br>
</blockquote></div><br><br clear=3D"all"><div><br></div>-- <br>Chris R.<br>=
=3D=3D=3D=3D=3D=3D<br>Not to be taken literally, internally, or seriously.<=
br>Twitter: <a href=3D"http://twitter.com/offby1" target=3D"_blank">http://=
twitter.com/offby1</a>
</div>

--001a11c2adcce91f4104da7cb30c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14213; Package emacs. Full text available.

Message received at 14213 <at> debbugs.gnu.org:


Received: (at 14213) by debbugs.gnu.org; 16 Apr 2013 08:43:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 16 04:43:05 2013
Received: from localhost ([127.0.0.1]:53871 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1US1Tl-0000vX-Ad
	for submit <at> debbugs.gnu.org; Tue, 16 Apr 2013 04:43:05 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:45664)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1US1Th-0000v3-8i
	for 14213 <at> debbugs.gnu.org; Tue, 16 Apr 2013 04:43:02 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0MLC00L00AF39U00@HIDDEN> for
	14213 <at> debbugs.gnu.org; Tue, 16 Apr 2013 11:38:01 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MLC00LITANC2O40@HIDDEN>;
	Tue, 16 Apr 2013 11:38:01 +0300 (IDT)
Date: Tue, 16 Apr 2013 11:38:12 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14213: 24.3;
	Redraw artifacts with emacs cursor and highlighting
In-reply-to: <CAAMdy8v7nSKAXb3dTYijEAkxcc0CdsFi+Lzj6V+5VTA3jLE_9Q@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Chris Rose <offline@HIDDEN>
Message-id: <834nf66fbf.fsf@HIDDEN>
References: <u5j5r4ibijqv.fsf@HIDDEN>
	<83a9oz577q.fsf@HIDDEN>
	<CAAMdy8v7nSKAXb3dTYijEAkxcc0CdsFi+Lzj6V+5VTA3jLE_9Q@HIDDEN>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  > From: Chris Rose <offline@HIDDEN> > Date: Mon,
	15 Apr
	2013 23:53:32 -0700 > Cc: 14213 <at> debbugs.gnu.org > > I believe (but it'd
	be
	mildy awkward to test it) that it started at least > as early as 24.2.
	[...] Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [80.179.55.175 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.4276]
X-Debbugs-Envelope-To: 14213
Cc: 14213 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.2 (/)

> From: Chris Rose <offline@HIDDEN>
> Date: Mon, 15 Apr 2013 23:53:32 -0700
> Cc: 14213 <at> debbugs.gnu.org
> 
> I believe (but it'd be mildy awkward to test it) that it started at least
> as early as 24.2.

Is it possible that there was some change in your system configuration
(hardware or software) that happened around the time you started
seeing this?

I mean, 24.2 was released last August; if it had such a glaring bug in
the display code on a popular platform such as yours, we should have
heard of it by now.  But I don't think any such problems were reported
until now.

One other thing to try is an unoptimized build (CFLAGS='-g3 -O0'),
maybe it's a compiler issue (which version are you using, btw?).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14213; Package emacs. Full text available.

Message received at 14213 <at> debbugs.gnu.org:


Received: (at 14213) by debbugs.gnu.org; 16 Apr 2013 06:58:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 16 02:58:14 2013
Received: from localhost ([127.0.0.1]:53740 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1URzqH-0003j6-CB
	for submit <at> debbugs.gnu.org; Tue, 16 Apr 2013 02:58:14 -0400
Received: from mail-oa0-f53.google.com ([209.85.219.53]:38298)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <offby1@HIDDEN>) id 1URzqD-0003iq-9D
	for 14213 <at> debbugs.gnu.org; Tue, 16 Apr 2013 02:58:11 -0400
Received: by mail-oa0-f53.google.com with SMTP id m6so161680oag.40
	for <14213 <at> debbugs.gnu.org>; Mon, 15 Apr 2013 23:53:52 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=x-received:mime-version:sender:x-originating-ip:in-reply-to
	:references:from:date:x-google-sender-auth:message-id:subject:to:cc
	:content-type:x-gm-message-state;
	bh=EaYF4gZdWj3ozuhU3jc1j778quyO09gqv40sOmM/n0g=;
	b=Bz4g3oI8l0WR0zQepPKfO26O4b6CO/hdcFyhXrxEo4HcVxmPatn5rTFBzYf0o400xh
	316sQdjrNG+ZoGz6IsfVPJq58BoFDXV46/mAm0/pC43wGLEDOszl7dL2ev58inIUvfdU
	BJLOzotdaQxZgiuWM2hOo8zVODTTpJg9ZWspJUwcQpJ9Xb2vk36NwGCOFZBp4qFg2ybp
	LUg6fy+wuj+H6PljRRBBLwkkLZD/u8oSv7S2hNPUxgB/hBO30WG6n/en9sQhi9XZoPJ2
	jK6OFQf62K+8OY8cE18Pp8k7XBywnY2izYyn2L/764+1zsF08l/600HNNKzIM2wDn06S
	r/QA==
X-Received: by 10.182.233.227 with SMTP id tz3mr352118obc.23.1366095232631;
	Mon, 15 Apr 2013 23:53:52 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.76.93.237 with HTTP; Mon, 15 Apr 2013 23:53:32 -0700 (PDT)
X-Originating-IP: [76.104.152.91]
In-Reply-To: <83a9oz577q.fsf@HIDDEN>
References: <u5j5r4ibijqv.fsf@HIDDEN>
	<83a9oz577q.fsf@HIDDEN>
From: Chris Rose <offline@HIDDEN>
Date: Mon, 15 Apr 2013 23:53:32 -0700
X-Google-Sender-Auth: ONgjWdH_N0M4dC7DITUj9knsjas
Message-ID: <CAAMdy8v7nSKAXb3dTYijEAkxcc0CdsFi+Lzj6V+5VTA3jLE_9Q@HIDDEN>
Subject: Re: bug#14213: 24.3;
	Redraw artifacts with emacs cursor and highlighting
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11c2029a1264c304da74d5bf
X-Gm-Message-State: ALoCoQl3qC7iYjDbHm7fHAahn4CTtfeKgwMqMw4Vc2q6u6N38AL8mIiMIWL9EDGQNWtoxHBcuWVb
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14213
Cc: 14213 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

--001a11c2029a1264c304da74d5bf
Content-Type: text/plain; charset=ISO-8859-1

I believe (but it'd be mildy awkward to test it) that it started at least
as early as 24.2. Given some time I could triangulate it, but it'd be
during work hours and it's a major time sink to compile that many emacs
versions one after the other.


On Mon, Apr 15, 2013 at 11:18 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Chris Rose <offline@HIDDEN>
> > Date: Mon, 15 Apr 2013 14:09:28 -0700
> >
> > When editing text, I odd cursor shadows and leftover, un-redrawn text as
> > I type; for example, during the typing of this sentence the letters on
> > this line were often obscured by the cursor appearing over them, as well
> > as appearing on the current line.
> >
> > This is best shown in an image: http://imgur.com/IjAxNWC
> >
> > I am running emacs as a daemon on a RHEL5 64 bit host, and running
> emacsclient there as well, using an Xorg server on Ubuntu 12.04
> > emacs daemon command line:
> > ssh -f -o ForwardAgent=no -o ForwardX11=no -o ForwardX11Trusted=no
> chrisros.desktop 'DISPLAY= nohup ~/bin/emacs -nw --daemon 2>&1 >/dev/null'
> > ssh -f chrisros.desktop '~/bin/emacsclient -c'
> >
> > If I run emacs daemon with -Q, the issue persists:
> > ssh -f chrisros.desktop 'DISPLAY= nohup ~/bin/emacs -Q -nw --daemon 2>&1
> >/dev/null'
> > ssh -f chrisros.desktop '~/bin/emacsclient -c'
> >
> > Image with emacs --daemon -Q: http://imgur.com/v7ZOKtA
>
> Do other Emacs versions show the same problem?  Or did this start
> happening with 24.3?
>



-- 
Chris R.
======
Not to be taken literally, internally, or seriously.
Twitter: http://twitter.com/offby1

--001a11c2029a1264c304da74d5bf
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I believe (but it&#39;d be mildy awkward to test it) that =
it started at least as early as 24.2. Given some time I could triangulate i=
t, but it&#39;d be during work hours and it&#39;s a major time sink to comp=
ile that many emacs versions one after the other.<br>

</div><div class=3D"gmail_extra"><br><br><div class=3D"gmail_quote">On Mon,=
 Apr 15, 2013 at 11:18 PM, Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"m=
ailto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrote:<br=
><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1=
px #ccc solid;padding-left:1ex">

&gt; From: Chris Rose &lt;<a href=3D"mailto:offline@HIDDEN">offline@off=
by1.net</a>&gt;<br>
&gt; Date: Mon, 15 Apr 2013 14:09:28 -0700<br>
&gt;<br>
&gt; When editing text, I odd cursor shadows and leftover, un-redrawn text =
as<br>
&gt; I type; for example, during the typing of this sentence the letters on=
<br>
&gt; this line were often obscured by the cursor appearing over them, as we=
ll<br>
&gt; as appearing on the current line.<br>
&gt;<br>
&gt; This is best shown in an image: <a href=3D"http://imgur.com/IjAxNWC" t=
arget=3D"_blank">http://imgur.com/IjAxNWC</a><br>
&gt;<br>
&gt; I am running emacs as a daemon on a RHEL5 64 bit host, and running ema=
csclient there as well, using an Xorg server on Ubuntu 12.04<br>
&gt; emacs daemon command line:<br>
&gt; ssh -f -o ForwardAgent=3Dno -o ForwardX11=3Dno -o ForwardX11Trusted=3D=
no chrisros.desktop &#39;DISPLAY=3D nohup ~/bin/emacs -nw --daemon 2&gt;&am=
p;1 &gt;/dev/null&#39;<br>
&gt; ssh -f chrisros.desktop &#39;~/bin/emacsclient -c&#39;<br>
&gt;<br>
&gt; If I run emacs daemon with -Q, the issue persists:<br>
&gt; ssh -f chrisros.desktop &#39;DISPLAY=3D nohup ~/bin/emacs -Q -nw --dae=
mon 2&gt;&amp;1 &gt;/dev/null&#39;<br>
&gt; ssh -f chrisros.desktop &#39;~/bin/emacsclient -c&#39;<br>
&gt;<br>
&gt; Image with emacs --daemon -Q: <a href=3D"http://imgur.com/v7ZOKtA" tar=
get=3D"_blank">http://imgur.com/v7ZOKtA</a><br>
<br>
Do other Emacs versions show the same problem? =A0Or did this start<br>
happening with 24.3?<br>
</blockquote></div><br><br clear=3D"all"><div><br></div>-- <br>Chris R.<br>=
=3D=3D=3D=3D=3D=3D<br>Not to be taken literally, internally, or seriously.<=
br>Twitter: <a href=3D"http://twitter.com/offby1" target=3D"_blank">http://=
twitter.com/offby1</a>
</div>

--001a11c2029a1264c304da74d5bf--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14213; Package emacs. Full text available.

Message received at 14213 <at> debbugs.gnu.org:


Received: (at 14213) by debbugs.gnu.org; 16 Apr 2013 06:22:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 16 02:22:52 2013
Received: from localhost ([127.0.0.1]:53674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1URzI3-0001cY-MC
	for submit <at> debbugs.gnu.org; Tue, 16 Apr 2013 02:22:52 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:36397)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1URzI1-0001cG-9I
	for 14213 <at> debbugs.gnu.org; Tue, 16 Apr 2013 02:22:50 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0MLC00800422UK00@HIDDEN> for
	14213 <at> debbugs.gnu.org; Tue, 16 Apr 2013 09:18:21 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MLC008XS46LHQ90@HIDDEN>;
	Tue, 16 Apr 2013 09:18:21 +0300 (IDT)
Date: Tue, 16 Apr 2013 09:18:33 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14213: 24.3;
	Redraw artifacts with emacs cursor and highlighting
In-reply-to: <u5j5r4ibijqv.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Chris Rose <offline@HIDDEN>
Message-id: <83a9oz577q.fsf@HIDDEN>
References: <u5j5r4ibijqv.fsf@HIDDEN>
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 14213
Cc: 14213 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Chris Rose <offline@HIDDEN>
> Date: Mon, 15 Apr 2013 14:09:28 -0700
> 
> When editing text, I odd cursor shadows and leftover, un-redrawn text as
> I type; for example, during the typing of this sentence the letters on
> this line were often obscured by the cursor appearing over them, as well
> as appearing on the current line.
> 
> This is best shown in an image: http://imgur.com/IjAxNWC
> 
> I am running emacs as a daemon on a RHEL5 64 bit host, and running emacsclient there as well, using an Xorg server on Ubuntu 12.04
> emacs daemon command line:
> ssh -f -o ForwardAgent=no -o ForwardX11=no -o ForwardX11Trusted=no chrisros.desktop 'DISPLAY= nohup ~/bin/emacs -nw --daemon 2>&1 >/dev/null'
> ssh -f chrisros.desktop '~/bin/emacsclient -c'
> 
> If I run emacs daemon with -Q, the issue persists:
> ssh -f chrisros.desktop 'DISPLAY= nohup ~/bin/emacs -Q -nw --daemon 2>&1 >/dev/null'
> ssh -f chrisros.desktop '~/bin/emacsclient -c'
> 
> Image with emacs --daemon -Q: http://imgur.com/v7ZOKtA

Do other Emacs versions show the same problem?  Or did this start
happening with 24.3?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14213; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Apr 2013 23:06:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 19:06:54 2013
Received: from localhost ([127.0.0.1]:53158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1URsU9-0006Xm-J3
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2013 19:06:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39481)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <prvs=810b1dc81=chrisros@HIDDEN>)
	id 1URqj0-0002pa-Le
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2013 17:14:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <prvs=810b1dc81=chrisros@HIDDEN>)
	id 1URqep-00045o-9a
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2013 17:09:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-7.6 required=5.0 tests=BAYES_00,NO_DNS_FOR_FROM,
	RCVD_IN_DNSWL_HI,RP_MATCHES_RCVD autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:60865)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <prvs=810b1dc81=chrisros@HIDDEN>)
	id 1URqep-00045g-6K
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2013 17:09:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50828)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <prvs=810b1dc81=chrisros@HIDDEN>)
	id 1URqej-0003sU-UP
	for bug-gnu-emacs@HIDDEN; Mon, 15 Apr 2013 17:09:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <prvs=810b1dc81=chrisros@HIDDEN>)
	id 1URqee-00044n-SW
	for bug-gnu-emacs@HIDDEN; Mon, 15 Apr 2013 17:09:41 -0400
Received: from smtp-fw-2101.amazon.com ([72.21.196.25]:48636)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <prvs=810b1dc81=chrisros@HIDDEN>)
	id 1URqee-00044f-M7
	for bug-gnu-emacs@HIDDEN; Mon, 15 Apr 2013 17:09:36 -0400
X-IronPort-AV: E=Sophos;i="4.87,479,1363132800"; d="scan'208";a="553957569"
Received: from smtp-in-6002.iad6.amazon.com ([10.195.76.108])
	by smtp-border-fw-out-2101.iad2.amazon.com with
	ESMTP/TLS/DHE-RSA-AES256-SHA; 15 Apr 2013 21:09:34 +0000
Received: from chrisros.desktop.amazon.com (chrisros.desktop.amazon.com
	[10.61.144.123])
	by smtp-in-6002.iad6.amazon.com (8.13.8/8.13.8) with ESMTP id
	r3FL9YI6032578
	for <bug-gnu-emacs@HIDDEN>; Mon, 15 Apr 2013 21:09:34 GMT
Received: by chrisros.desktop.amazon.com (Postfix, from userid 272766)
	id C3FF44B5F04; Mon, 15 Apr 2013 14:09:28 -0700 (PDT)
From: Chris Rose <offline@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; Redraw artifacts with emacs cursor and highlighting
Date: Mon, 15 Apr 2013 14:09:28 -0700
Message-ID: <u5j5r4ibijqv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 15 Apr 2013 19:06:53 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

When editing text, I odd cursor shadows and leftover, un-redrawn text as
I type; for example, during the typing of this sentence the letters on
this line were often obscured by the cursor appearing over them, as well
as appearing on the current line.

This is best shown in an image: http://imgur.com/IjAxNWC

I am running emacs as a daemon on a RHEL5 64 bit host, and running emacsclient there as well, using an Xorg server on Ubuntu 12.04
emacs daemon command line:
ssh -f -o ForwardAgent=no -o ForwardX11=no -o ForwardX11Trusted=no chrisros.desktop 'DISPLAY= nohup ~/bin/emacs -nw --daemon 2>&1 >/dev/null'
ssh -f chrisros.desktop '~/bin/emacsclient -c'

If I run emacs daemon with -Q, the issue persists:
ssh -f chrisros.desktop 'DISPLAY= nohup ~/bin/emacs -Q -nw --daemon 2>&1 >/dev/null'
ssh -f chrisros.desktop '~/bin/emacsclient -c'

Image with emacs --daemon -Q: http://imgur.com/v7ZOKtA

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/home/chrisros/share/emacs/24.3/etc/DEBUG.


In GNU Emacs 24.3.3 (x86_64-unknown-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2013-03-11 on chrisros.desktop.amazon.com
Windowing system distributor `The X.Org Foundation', version 11.0.11103000
System Description:	Red Hat Enterprise Linux Client release 5.4 (Tikanga)

Configured using:
 `configure '--prefix=/home/chrisros' '--with-x-toolkit=lucid'
 '--enable-link-time-optimization''

Important settings:
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: ReST
(however, the bug occurs in python-mode, shell-mode, and the minibuffer,
as well as in this message mode.)

Minor modes in effect:
  which-function-mode: t
  diff-auto-refine-mode: t
  hl-line-mode: t
  nxhtml-menu-mode: t
  shell-dirtrack-mode: t
  global-edit-server-edit-mode: t
  url-handler-mode: t
  iswitchb-mode: t
  global-auto-complete-mode: t
  yas/global-mode: t
  yas/minor-mode: t
  show-paren-mode: t
  global-whitespace-mode: t
  electric-pair-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-fill-mode: 1

Recent input:
<backspace> w <tab> <down> <down> <up> <return> C-e 
C-a ( s e t q SPC t i m e r - <M-backspace> r e d r 
a w - t i m e r SPC M-b M-b c r / C-e ( <backspace> 
C-e C-j C-x b <return> C-a C-SPC <up> <down> <down> 
C-w C-w C-x C-s <down-mouse-1> <mouse-1> <return> <return> 
<return> <up> 1 . SPC P r e p a r e SPC t h e SPC b 
u n d l e SPC t h a t SPC w i l l SPC b e SPC e x e 
c u t e d SPC M-x b l i <tab> c <tab> <return> <down> 
<up> C-a C-e C-a C-e <help-echo> M-x h l - l <tab> 
<return> <down> <down> <down> <up> <up> <up> <down> 
<down> <down> <down> <up> <up> <up> <up> <down-mouse-1> 
<mouse-1> <S-right> C-x b s c <return> ( C a n c <tab> 
<backspace> <backspace> <backspace> <backspace> c a 
c <backspace> n c <tab> <tab> t i <tab> SPC c r <tab> 
/ r <tab> <down> <down> <down> <down> <return> C-e 
C-j <up> <up> C-e C-j ( t i m e r <tab> C-a C-k t i 
m e r - l <tab> <tab> C-j ( r <backspace> s e t q SPC 
r e d <tab> <down> <down> <down> <return> <M-backspace> 
<M-backspace> r e d i <tab> <down> <down> <return> 
SPC t C-e C-j <S-left> <down> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> C-e <return> <return> <backspace> 
<backspace> <return> <return> <backspace> <backspace> 
<return> <return> <return> <return> <up> <up> <up> 
<down> <down> <up> <up> <delete> <delete> <delete> 
<up> C-e <down-mouse-1> <mouse-1> M-x r e p o r t - 
e m <tab> <return>

Recent messages:
byte-code: End of buffer
Auto-saving...done
Mark set
Saving file ****...
Wrote ****
Blink-Cursor mode enabled
Hl-Line mode enabled
Auto-saving...done
byte-code: End of buffer
Auto-saving...done

Load-path shadows:
/home/chrisros/.emacs.d/vendor/nxhtml/util/edit-server hides /home/chrisros/.emacs.d/elpa/edit-server-20121205.328/edit-server
/home/chrisros/.emacs.d/vendor/nxhtml/util/fold-dwim hides /home/chrisros/.emacs.d/elpa/fold-dwim-1.2/fold-dwim
/home/chrisros/.emacs.d/vendor/nxhtml/util/fold-dwim hides ~/.emacs.d/vendor/fold-dwim
/home/chrisros/.emacs.d/elpa/pymacs-0.25/pymacs hides ~/.emacs.d/vendor/pymacs
/home/chrisros/.emacs.d/vendor/nxhtml/util/ack hides ~/.emacs.d/vendor/ack
/home/chrisros/.emacs.d/vendor/nxhtml/web-vcs hides ~/.emacs.d/vendor/web-vcs
/home/chrisros/.emacs.d/vendor/nxhtml/util/tabkey2 hides ~/.emacs.d/vendor/tabkey2
~/.emacs.d/custom hides /home/chrisros/share/emacs/24.3/lisp/custom
/home/chrisros/.emacs.d/vendor/nxhtml/util/org-odt hides /home/chrisros/share/emacs/24.3/lisp/org/org-odt
/home/chrisros/.emacs.d/vendor/nxhtml/related/php-mode hides /home/chrisros/.emacs.d/vendor/php-mode-1.5.0/php-mode

Features:
(shadow sort mail-extr emacsbug message format-spec rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mail-utils windmove rst
pcmpl-unix add-log which-func subword cus-edit wid-edit ropemacs pymacs
hi-lock imenu help-mode server highlight-parentheses diff-hl vc-dir ewoc
diff-mode cr-amazon cr-visual-niceties tempbuf fold-dwim hideshow
noutline outline hl-line cr-extensions custom-flymake cr-nxhtml jinja
mumamo rx flymake-files flymakemsg nxhtml-autostart nxhtml-autoload
majmodpri vc-git vc-p4 p4-lowlevel ediff-merg ediff-diff ediff-wind
ediff-help ediff-util ediff-mult ediff-init ediff vc vc-dispatcher
nxhtml-menu web-autoload nxhtml-base cr-yaml yaml-mode cr-shell-script
cr-perl cr-perl-debug-track perltidy cperl-mode cr-ruby custom-sql
sql-indent sql custom-org custom-shell custom-nxml custom-markdown
custom-js2 custom-lisp elisp-ext custom-dired custom-php cr-mediawiki
python-ide flymake ipython executable shell pcomplete python-mode
info-look info custom-text-mode cr-smerge custom-ibuffer ibuffer
custom-edit-server edit-server cr-gist pastebin gist xml custom-server
custom-vc custom-ansi-term term disp-table ehelp custom-OSX
custom-abbrev pabbrev thingatpt custom-yasnippet custom-keyboard
framemove custom-iswitchb custom-misc url-handlers iswitchb
custom-autocomplete warnings auto-complete-config auto-complete
custom-functions batch-mode erlang-start iedit browse-kill-ring ffap
url-parse auth-source eieio byte-opt bytecomp byte-compile cconv
gnus-util mm-util mail-prsvr password-cache url-vars zencoding-mode
pycov2 linum scratch ack derived compile comint ansi-color ring
dired-single pager pair-mode easy-mmode skeleton lorem-ipsum table
cr-packages diff-hl-autoloads finder-inf edit-server-autoloads
fill-column-indicator-autoloads fold-dwim-autoloads gist-autoloads
goto-last-change-autoloads highlight-parentheses-autoloads
magit-autoloads mediawiki-autoloads mode-compile-autoloads
notify-autoloads pymacs-autoloads rainbow-mode-autoloads
sunrise-x-buttons-autoloads sunrise-x-loop-autoloads
sunrise-x-mirror-autoloads sunrise-x-modeline-autoloads
sunrise-x-tabs-autoloads sunrise-x-tree-autoloads
sunrise-commander-autoloads undo-tree-autoloads yaml-mode-autoloads
yasnippet-bundle-autoloads yasnippet-bundle cl-macs gv dropdown-list
yasnippet edmacro kmacro easymenu assoc cl package cr-environment
cr-coding advice help-fns cl-lib advice-preload cr-utilities re-builder
time-date tomorrow-night-bright-theme paren whitespace autorevert
electric desktop cus-start cus-load tooltip ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting x-toolkit x multi-tty emacs)




Acknowledgement sent to Chris Rose <offline@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#14213; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.